function gpsStr = secns2gps(gpsSec,gpsNs)
%SECNS2GPS Convert seconds, nanoseconds into GPS structure
%
%SYNOPSIS
%   GPSSTR = secns2gps(GPSSEC, GPSNS)
%
%INPUT
%   GPSSEC  whole seconds of GPS time
%   GPSNS   residual nano-seconds of GPS time
%
%OUTPUT
%   GPSSTR  output structure has 'sec','ns'
%
%AUTHOR
%   Keith Thorne <keith.thorne@ligo.org>

% $Id: secns2gps.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

gpsStr = struct('sec',num2cell(gpsSec),'ns',num2cell(gpsNs));
return
