% TESTSEGMENTS Test segment coincidence algorithms
%
% TESTSEGMENTS Computes the coincidence of random data sets and
% graphically displays the results in order to test the segment
% coincidence algorithms.
%
%AUTHOR
%   Shourov K. Chatterji (No longer part of the LC Collaboration)

% $Id: testsegments.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

N = 10;

H1 = [100 + 100 * rand(N, 1) 5 + 5 * rand(N, 1)];
H2 = [100 + 100 * rand(N, 1) 5 + 5 * rand(N, 1)];
L1 = [100 + 100 * rand(N, 1) 5 + 5 * rand(N, 1)];

H1 = mergesegments(H1);
H2 = mergesegments(H2);
L1 = mergesegments(L1);
H1H2 = andsegments(H1, H2);
H2L1 = andsegments(H2, L1);
H1L1 = andsegments(H1, L1);
H1H2L1 = andsegments(H1, H2, L1);
single = orsegments(H1, H2, L1);
double = orsegments(H1H2, H2L1, H1L1);
triple = H1H2L1;

clf;
hold on;
hh = [];
h = plot(H1', 10 * ones(size(H1')),'r-'); hh = [hh; h;];
h = plot(H2', 9 * ones(size(H2')),'g-'); hh = [hh; h;];
h = plot(L1', 8 * ones(size(L1')),'b-'); hh = [hh; h;];
h = plot(H1H2', 7 * ones(size(H1H2')),'c-'); hh = [hh; h;];
h = plot(H2L1', 6 * ones(size(H2L1')),'m-'); hh = [hh; h;];
h = plot(H1L1', 5 * ones(size(H1L1')),'y-'); hh = [hh; h;];
h = plot(H1H2L1', 4 * ones(size(H1H2L1')),'k-'); hh = [hh; h;];
h = plot(single', 3 * ones(size(single')),'r-'); hh = [hh; h;];
h = plot(double', 2 * ones(size(double')),'g-'); hh = [hh; h;];
h = plot(triple', 1 * ones(size(triple')),'b-'); hh = [hh; h;];
hold off;
for h = hh,
  set(h, 'LineWidth', 20);
end
axis([100 200 0 11]);
% axis([FR(1) FR(2) 0 11]);
edges = unique([H1(:); H2(:); L1(:); ...
                H1H2(:); H2L1(:); H1L1(:); ...
                H1H2L1(:); ...
                single(:); double(:); triple(:);]);
set(gca, 'XTick', edges);
set(gca, 'XGrid', 'on');
set(gca, 'GridLineStyle', '-');
set(gca, 'XTickLabel', '');
% set(gca, 'XTick', []);
yticklabels = strvcat('H1', 'H2', 'L1', ...
                      'H1H2', 'H2L1', 'H1L1', ...
                      'H1H2L1', ...
                      'single', 'double', 'triple');
set(gca, 'YTick', 1:10);
set(gca, 'YTickLabel', flipud(yticklabels));
orient landscape
title('Test of segment coincidence algorithms');
