% SIGMOIDEXAMPLE Example fitting to sigmoid curve

% Lindy L. Blackburn
% lindy@ligo.mit.edu
%
% Shourov K. Chatterji
% shourov@ligo.mit.edu
%
% 2004-Jul-12

% $Id: sigmoidexample.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

data = load('sigmoidexample.txt');
amplitude = data(:, 1);
numberInjected = data(:, 2);
numberObserved = data(:, 3);
doPlot = 1;
[sigmoidCenter, sigmoidWidth, sigmoidAsymmetry, ...
 sigmoidPedestal, sigmoidEntablature, efficiency, ...
 upperLimit, lowerLimit, chiSquare] = ...
    sigmoidfit(amplitude, numberObserved, numberInjected, doPlot);
sigmoidAmplitude = logspace(floor(log10(min(amplitude))), ...
                     ceil(log10(max(amplitude))), 1e3);
sigmoidEfficiency = sigmoid(sigmoidAmplitude, sigmoidCenter, ...
                            sigmoidWidth, sigmoidAsymmetry, ...
                            sigmoidPedestal, sigmoidEntablature);
hrss50 = interp1(sigmoidEfficiency, sigmoidAmplitude, 0.5, 'linear');
hrss90 = interp1(sigmoidEfficiency, sigmoidAmplitude, 0.9, 'linaer');
fprintf(1, 'hrss50 = %8.3e\n', hrss50);
fprintf(1, 'hrss90 = %8.3e\n', hrss90);
